<form [formGroup]="form"
      class="form-one-columns"
>
  <mat-form-field *ngIf="getFormControl(formDefinition.firstName) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.firstName | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           matInput
           solidifyValidation
    >
    <mat-error solidifyTooltipOnEllipsis
               #errors
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.lastName) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.lastName | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           matInput
           solidifyValidation
    >
    <mat-error solidifyTooltipOnEllipsis
               #errors
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.orcid) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.orcid | translate}}</mat-label>
    <input matInput
           [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
    >
    <button *ngIf="fd.value | isNotNullNorUndefinedNorWhiteString"
            (click)="orcidService.openOrcidPage(fd.value)"
            class="navigate-to-url"
            mat-icon-button
            type="button"
            matSuffix
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.externalLink"
                     class="size-16"
                     matSuffix
      ></solidify-icon>
    </button>
    <mat-error solidifyTooltipOnEllipsis
               #errors
    ></mat-error>
  </mat-form-field>
</form>
